NOICE(1)

SYNOPSIS
noice [-ct] [-f SAVE_FILE] [DIR]

DESCRIPTION
noice is a simple and efficient file manager that gets out of your way as much as possible.

dir defaults to the current working directory when not specified. Additionally, if dir is a relative path noice will not go back beyond the first component of the path using standard navigation binds.

OPTIONS

-c  Enables colour mode.

-t  Enables tilde home.

-f  Use an alternate save file.

KEYBINDINGS

k or [Up]
    Move to the previous entry.

j or [Down]
    Move to the next entry.

C-u or [PageUp]
    Scroll up half a page.

C-d or [PageDown]
    Scroll down half a page.

gg or [Home]
    Move to the first entry.

G or [End]
    Move to the last entry.

l, [Right] or [Return]
    Open current file or directory.

h, [Left] or [Backspace]
    Back up one directory.

/   Change filter.

c   Change directory.

g<key> or '<key>
    Jump to directory matching <key> in the config.

g' or ''
    Jump to directory before last used jump or cd.

nf and nd
    Make a new file or directory, creates leading directories if needed.

[Space]
    Toggle mark state on the current entry.

y   Yank marked entries or the current if none are marked.

p   Copy yanked entries to the current directory.

m   Move yanked entries to the current directory.

L   Link yanked entries to the current directory.

r   Rename marked entries or the current if none are marked.

DD  Delete marked entries or the current if none are marked.

S   Toggle showing file size.

C-h or .
    Toggle showing hidden files (.dotfiles).

d   Toggle sorting by directories first.

t   Toggle sorting by last modified time.

v   Toggle sorting by version number.

s   Toggle sorting by size.

C-l Force a redraw.

!   Spawn a shell in current directory.

z   Spawn top system monitor.

e   Open selected entry with the EDITOR or vi.

M   Open selected entry with mpv.

q   Quit noice.

FILTERS
Filters allow you to use a regex to display only the matched entries in the current directory view. This enables searching for a particular entry or entries. Filters do not stack, they are applied individually. To reset the filter, input an empty filter expression.

CONFIGURATION
noice is configured by editing the noice.h header and recompiling the source code.

The SHELL and EDITOR environment variables take precedence when using the !, r, and e commands

AUTHORS
Lazaros Koromilas <lostd@2f30.org>, Dimitris Papastamos <sin@2f30.org>, Nathaniel Maia <natemaia10@gmail.com>